using System.Collections.Generic;
using System.Text.Json.Serialization;

namespace MarcusLaw.OutlookAddin.Core.Models
{
    public sealed class EspoListResponse<T>
    {
        [JsonPropertyName("total")]
        public int Total { get; set; }

        [JsonPropertyName("list")]
        public List<T> List { get; set; } = new List<T>();
    }
}
